
Figure - Bug #118950
【AF】【EVT3】【中控联调】 OTA升级后，副屏未同步中控的WIFI信号格数
2023-07-01 10:34 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-30

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0116

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-07-11

Test Type: ST Root cause: WIFI 信号同步问题。

Description

【测试版本】

中控0092

副屏0630->0116

【测试情况】

1、OTA升级后，中控WIFI信号满格、副屏WIFI信号0格

2、副屏音量调节、时间同步等正常并且可以正常上网

日志已通过飞书提供

Related issues:

Related to Figure - Bug # 118949: 【AF】【EVT3】【中控联调】OTA升级后连... NEED_INFO 2023-06-30

Related to Figure - Bug # 118967: 【AF】【DVT】【eth】【偶现】KL15 ... CLOSED 2023-07-03

History

#1 - 2023-07-01 11:41 - CD TPM-王祥林

- File FSEM_000433_0222_0701101045.tar.gz added

- File FSEM_000433_0223_0701102239.tar.gz added

#2 - 2023-07-01 13:10 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD FW-廖涛

OTA后第433次开机复现的问题

#3 - 2023-07-04 20:27 - CD FW-廖涛

■ My analysis

从日志看，网络信号同步与网关设置是成功的，在设置 WIFI 图标失败的了。

07-01 10:10:27.038  2353  2838 I MicroService: onRequest(WifiInfo): {"status":1,"level":3}

07-01 10:10:27.038  2363  2780 D MicroSettings: ITCMicroCommonCallback: get request method = WifiInfo parameters = {"status":1,"level":3}

07-01 10:10:27.038  2353  2838 D MicroService: handleHeartBeat:4

07-01 10:10:27.039  2363  2844 D MicroSettings: NetworkSwitchUtil: syncNetStatus:wifi is true

07-01 10:10:27.039  2363  2844 D MicroSettings: NetworkSwitchUtil: do command :setprop sys.network.wifi 1

07-01 10:10:27.040   712   712 D Zygote  : Forked child process 2846
07-01 10:10:27.040  1599  1715 I am_proc_start: [0,2846,10088,com.qualcomm.qti.qccauthmgr,content

provider,{com.qualcomm.qti.qccauthmgr/com.qualcomm.qti.qccauthmgr.providers.SMQContentProvider}]

07-01 10:10:27.040  1599  1715 I ActivityManager: Start proc 2846:com.qualcomm.qti.qccauthmgr/u0a88 for content provider

{com.qualcomm.qti.qccauthmgr/com.qualcomm.qti.qccauthmgr.providers.SMQContentProvider}

07-01 10:10:27.041  1250  1449 I MMParserExtractor: Created(0xb400006da7620ef0)

07-01 10:10:27.042  1599  2449 W Binder  : Outgoing transactions from this process must be FLAG_ONEWAY

07-01 10:10:27.042  1599  2449 W Binder  : java.lang.Throwable

07-01 10:10:27.042  1599  2449 W Binder  :     at android.os.BinderProxy.transact(BinderProxy.java:532)

07-01 10:10:27.042  1599  2449 W Binder  :     at com.android.internal.statusbar.IStatusBar$Stub$Proxy.setIcon(IStatusBar.java:1359)

07-01 10:10:27.042  1599  2449 W Binder  :     at com.android.server.statusbar.StatusBarManagerService.setIcon(StatusBarManagerService.java:1004)

07-01 10:10:27.042  1599  2449 W Binder  :     at com.android.internal.statusbar.IStatusBarService$Stub.onTransact(IStatusBarService.java:621)

07-01 10:10:27.042  1599  2449 W Binder  :     at android.os.Binder.execTransactInternal(Binder.java:1179)

07-01 10:10:27.042  1599  2449 W Binder  :     at android.os.Binder.execTransact(Binder.java:1143)

■ Next action

分析状态栏图标设置失败的原因，优化状态栏图标设置逻辑。

#4 - 2023-07-05 19:11 - CD FW-廖涛

■ Current conclusion

通过分析 Binder 的日志只是个警告，不能确定是否会导致图标设置失败。

目前对状态栏图标设置进行了优化，并且增加了日志。等待代码入库后再尝试复现该问题进行进一步分析。

■ Next action

代码入库。

#5 - 2023-07-05 19:40 - CD FW-廖涛

- Status changed from New to NEED_INFO

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- Need_Info changed from -- to TEST

■ Current conclusion

代码已入库，提交：https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/VehicleControl/+/212499

■ Next action

测试验证，若问题还存在，麻烦抓下日志，若有现场，保留下现场。

#6 - 2023-07-10 17:17 - CD TEST-方永红

- File 1715.txt added

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD TEST-方永红 to CD FW-廖涛

#7 - 2023-07-10 17:23 - CD FW-廖涛

■ Current conclusion

从复现的日志看，中控没有给副屏同步 WifiInfo 信号，所以副屏展示了默认值。

■ Next action

副屏在微服务起来后，主动向中控请求 WifiInfo。
#8 - 2023-07-11 20:25 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Need_Info changed from TEST to --

- Degrated changed from -- to No

- Fixed Version set to 2023-07-11

- Root cause set to WIFI 信号同步问题。

■ Current conclusion

已处理，代码已入库。提交：https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/VehicleControl/+/214033

■ My analysis

处理方式：微服务与中控处于连接状态，微设定绑定微服务成功后，主动请求中控获取 Wifi 与热点信息。

■ Next action

测试验证。

#9 - 2023-07-11 20:28 - CD FW-廖涛

- Resolution changed from -- to FIXED

#10 - 2023-08-24 17:09 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

副屏的5G和WIFI信号状态显示已隐藏，该BUG关闭

#11 - 2023-08-24 17:09 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

FSEM_000433_0222_0701101045.tar.gz 18.5 MB 2023-07-01 CD TPM-王祥林

FSEM_000433_0223_0701102239.tar.gz 1.89 MB 2023-07-01 CD TPM-王祥林

1715.txt 3.39 MB 2023-07-10 CD TEST-方永红
